module GList :
  sig
    type 'a t
    external empty : unit -> 'a t = "mlg_zero"
    external alloc : unit -> 'a t = "g_list_alloc"
    external free : 'a t -> unit = "mlg_list_free"
    external free_1 : 'a t -> unit = "mlg_list_free_1"
    external append : 'a t -> 'a -> 'a t = "g_list_append"
    external prepend : 'a t -> 'a -> 'a t = "g_list_prepend"
    external insert : 'a t -> 'a -> int -> 'a t = "mlg_list_insert"
    external remove : 'a t -> 'a -> 'a t = "g_list_remove"
    external remove_link : 'a t -> 'a t -> 'a t = "g_list_remove_link"
    external reverse : 'a t -> 'a t = "g_list_reverse"
    external nth : 'a t -> int -> 'a t = "mlg_list_nth"
    external find : 'a t -> 'a -> 'a t = "g_list_find"
    external last : 'a t -> 'a = "g_list_last"
    external first : 'a t -> 'a = "g_list_first"
    external length : 'a t -> int = "mlg_list_length"
    external foreach : 'a t -> ('a -> unit) -> unit = "mlg_list_foreach"
    val from_ml : 'a list -> 'a t
    val ml_from : 'a t -> 'a list
  end
module GSList :
  sig
    type 'a t
    external empty : unit -> 'a t = "mlg_zero"
    external alloc : unit -> 'a t = "g_slist_alloc"
    external free : 'a t -> unit = "mlg_slist_free"
    external free_1 : 'a t -> unit = "mlg_slist_free_1"
    external append : 'a t -> 'a -> 'a t = "g_slist_append"
    external prepend : 'a t -> 'a -> 'a t = "g_slist_prepend"
    external insert : 'a t -> 'a -> int -> 'a t = "mlg_slist_insert"
    external remove : 'a t -> 'a -> 'a t = "g_slist_remove"
    external remove_link : 'a t -> 'a t -> 'a t = "g_slist_remove_link"
    external reverse : 'a t -> 'a t = "g_slist_reverse"
    external nth : 'a t -> int -> 'a t = "mlg_slist_nth"
    external find : 'a t -> 'a -> 'a t = "g_slist_find"
    external last : 'a t -> 'a = "g_slist_last"
    external length : 'a t -> int = "mlg_slist_length"
    external foreach : 'a t -> ('a -> unit) -> unit = "mlg_slist_foreach"
    val from_ml : 'a list -> 'a t
    val ml_from : 'a t -> 'a list
  end
module Pointer :
  sig
    type t
    external int_poke : t -> int -> unit = "mlgtk_int_poke"
    external int_peek : t -> int = "mlgtk_int_peek"
  end
