type label = Label of string | Widget of GtkObj.widget
val widget_label : label -> GtkObj.widget
module Menu :
  sig
    type menu = menu_item list
    and menu_item =
        Item of label * (unit -> unit)
      | Submenu of label * menu
      | Check_item of label * bool ref * (unit -> unit)
      | Radio_items of int ref * (string * (unit -> unit)) list
      | Separator
    val nop : unit -> unit
    val menu_item_of_label : label -> GtkObj.menu_item
    val make_menu_aux : GtkObj.menu_shell -> menu -> unit
    val make_menu_bar : menu -> GtkObj.menu_bar
  end
module Layout :
  sig
    type extra_space_behavior = {
      expand : bool;
      fill : bool;
      padding : int;
    }
    val fixed_5 : extra_space_behavior
    val fill_5 : extra_space_behavior
    val fixed_1 : extra_space_behavior
    val fill_1 : extra_space_behavior
    type orientation = Horiz | Vert
    and structure =
        Box of orientation * (structure * extra_space_behavior) list
      | Paned of orientation * structure * structure
      | Notebook of Gtk.position_type * (structure * label) list
      | Scrolled_window of structure
      | Frame of string * Gtk.shadow_type * structure
      | Widget of GtkObj.widget
    val build_box :
      GtkObj.hbox -> (structure * extra_space_behavior) list -> unit
    val build_structure : structure -> GtkObj.widget
    val make_window_from_structure : structure -> string -> GtkObj.window
  end
